﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.ServiceModel;
using System.ServiceModel.Description;
using System.Windows;

namespace AutoComplete
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected ServiceHost host;
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);
            host = new ServiceHost(typeof(MeteringService));
            host.Open();
        }

        protected override void OnExit(ExitEventArgs e)
        {
            // Close the ServiceHost.
            host.Close();
            base.OnExit(e);
        }
    }
}
